Subject: Re: bug#63132: Bug on Darwin MacOS with 'M-x man RET commandname[ ]'

From: Eli Zaretskii <[email-masked]>
Date: Mon, 01 May 2023 21:16:23 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 01 May 2023 14:03:40 -0400
> 
> >> So `M-x man RET 2 SPC TAB` should (hopefully) list all the section
> >> 2's manpages.
> > So you are saying the lags here are unavoidable?
> 
> I don't know.  I don't see any significant lag here.

The OP says it only happens on macOS, not on GNU/Linux.

> But if that's a problem, maybe we should tweak the system so we only
> fetch the list when there's at least one char after the space (to
> keep the list shorter)?

Something like that.

> The OP mentions Emacs crashing, which points to another problem than
> mere lag.  I can't investigate this because I can't reproduce it here
> on Debian.
> 
> And maybe it depends on the system (or more specifically on what kind of
> `man` program is installed and how it supports `man -k`; e/g. if
> there's no prebuilt index and `man -k` scans through all the installed
> troff pages every time)?

Any macOS users out there who could reproduce and debug this?